annotate scripts/config-headers.sh @ 638:cab2f315827e

FFS dev.c: added Spansion PL032J to the "generic" table With the discovery of first GTM900 and then Tango, it now appears that Openmoko was not the only manuf after all who kept TI's TCS211 firmware largely intact (as opposed to changing it beyond all recognition like Compal, Chi-Mei and BenQ did), thus we are now getting new "alien" targets on which we reuse the original manuf's FFS with IMEI and RF calibration tables as if it were native. On these targets we use the original device table for FFS, even though we previously thought that it would never apply to any target other than dsample, leonardo and gtamodem. We have previously added Samsung K5L33xxCAM (a new kind of multi-ID device) to the generic table to support its use in Huawei GTM900-B modules; now we got news that some slightly older GTM900-B specimen used S71PL032J instead, so we are now adding PL032J as well.
author Mychaela Falconia <falcon@freecalypso.org>
date Thu, 30 Jan 2020 17:45:48 +0000
parents 92dbfa906f66
children
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
1 #!/bin/sh
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
2
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
3 if [ $# != 2 ]
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
4 then
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
6 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
7 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
8
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
9 if [ -z "$TARGET" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
10 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
11 echo "Error: TARGET= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
12 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
13 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
14
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
15 if [ -z "$BUILD_DIR" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
16 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
18 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
19 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
20
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
21 set -e
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
22
14
86e83045be37 scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents: 6
diff changeset
23 rm -rf $BUILD_DIR/config
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
24 cp -r cfg-headers/base $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
25 cp cfg-headers/$1/* $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
602
92dbfa906f66 fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents: 144
diff changeset
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h